<?php
/**
 *  License: GPL http://www.gnu.org/copyleft/gpl.html
 *  @author iWonder Designs, Copyright 2006
 *  @copyright 2006, iWonder Designs
 */

// WHEN STORING DOCUMENT DATA IN THE DATABASE, THIS DESCRIBES WHICH
//	VERSION OF THE DOCUMENT STRUCTURE IS BEING USED (CURRENTLY NOT USED)
define ('CURRENT_DOCUMENT_VERSION',1);

define ('IW_NULL', '[NULL]');

define ('DB_CACHE_EXPIRE',15);

define ('OBJECT_TYPE_NONE', 'None');
define ('OBJECT_TYPE_LOG','Log');
define ('OBJECT_TYPE_USER','User');

define ('ACTION_VIEW', 1);
define ('ACTION_EDIT', 2);
define ('ACTION_TRASH', 3);
define ('ACTION_RENAME', 4);
define ('ACTION_HISTORY', 5);
define ('ACTION_BRIEFCASE', 6);
define ('ACTION_DOWNLOAD',7);

// Used when determining whether or not an action should be allowed
//	to continue.  An autherization of AUTH_NOOP means that the callee
//	does not care one way or another.
define ('AUTH_NOOP',0);
define ('AUTH_ALLOW',1);
define ('AUTH_DENY',2);

define ('URLARG_ACTION', 'a');
define ('URLARG_ID', 'id');
define ('PROP_USERNAME', 'username');
define ('PROP_PASSWORD', 'password');
define ('PROP_DATEJOINED', 'date_joined');
define ('PROP_LASTLOGIN', 'date_lastlogin');
define ('PROP_LAST_SESSIONID', 'last_session_id');
define ('PROP_DATE_LAST_ACTIVITY','last_activitydate');
define ('PROP_HASH','hash');
define ('PROP_LOGIN_IP','login_ip');
define ('PROP_LOGIN_CLIENT_INFO','login_client_info');
define ('PROP_REQUIRE_CONFIRM','require_new_user_confirm');
define ('PROP_ID', 'id');
define ('PROP_NAME', 'name');
define ('PROP_USERTYPE','user_type');
define ('PROP_DESCRIPTION', 'description');
define ('PROP_EMAIL', 'email');
define ('PROP_STATUS', 'status');
define ('PROP_FIRST_NAME', 'first_name');
define ('PROP_LAST_NAME', 'last_name');
define ('PROP_LOGO', 'logo');
define ('PROP_INTRO_PAGE', 'intro_page');
define ('PROP_CITY','city');
define ('PROP_STATE', 'state');
define ('PROP_TEMPORARY_UPLOAD', 'temporary_upload_path');
define ('PROP_TEMPORARY_UPLOAD_TYPE', 'temporary_upload_type');
define ('PROP_TEMP_DIR','temp_dir_relative');
define ('PROP_TEMPLATE_DIR','template_dir');

define ('EVENT_OBJECT_ADDED', "Added");
define ('EVENT_OBJECT_EDITED', "Edited");
define ('EVENT_OBJECT_DELETED', "Deleted");
define ('EVENT_OBJECT_TRASHED', "Moved To Trash");
define ('EVENT_OBJECT_VIEWED', "Viewed");
define ('EVENT_OBJECT_DOWNLOADED', "Downloaded");
define ('EVENT_LOGGED_IN',"Logged In");
define ('EVENT_LOGGED_OUT',"Logged Out");

////////////////////////////////////////////////
/////////// USER TYPES
////////////////////////////////////////////////

define ('USER_TYPE_NONE', 0);

/** The user can read stories. */
define ('USER_TYPE_REGISTERED', 1);

/** The user is an administrator of the site giving him permission to do all sorts of things. */
define ('USER_TYPE_ADMIN', 3);

/** The user can perform admin tasks only within his domain */
define ('USER_TYPE_DOMAIN_ADMIN', 4);

/** The user can perform admin tasks only within his domain's group */
define ('USER_TYPE_DOMAIN_GROUP_ADMIN', 5);                                     

/** The user permissions have been custom made */
define ('USER_TYPE_CUSTOM', 5);                                     

////////////////////////////////////////////////
/////////// USER STATUS
////////////////////////////////////////////////

/** The user is an active user. */
define ('USER_STATUS_ACTIVE', 1);

/** The user's account was frozen perhaps due to inappropriate submissions */
define ('USER_STATUS_FROZEN', 2);

/** The user has not logged in for so long that they are considered 'stale' */
define ('USER_STATUS_STALE', 3);

/** The user has been deleted */
define ('USER_STATUS_DELETED', 4);

/** The user has not yet confirmed his registration */
define ('USER_STATUS_UNCONFIRMED', 5);


/** A notification of a potential problem, but nothging that will stop the script */
define ('ERROR_TYPE_WARNING', 1);

/** An indication of a serious problem that will likely yield unexpected results */
define ('ERROR_TYPE_SERIOUS', 2);

/** An indication that a critical error has occured that prevents the script from completing successfully*/
define ('ERROR_TYPE_FATAL', 3);

// MAXIMUM SIZE OF DOCUMENT THAT CAN BE UPLOADED
define ('DOCUMENT_MAX_FILESIZE', 2097152000);

define ('DEFAULT_ITEMPOOL_MAXSIZE_MB', 10);

// THEME OBJECT TYPE PREFIXES
define ('TYPE_PREFIX_DOC', 'doc');
define ('TYPE_PREFIX_CAT', 'cat');
define ('TYPE_PREFIX_TAG', 'tag');

// NOTIFICATION TYPES
define ('NOTIFY_CHANGE_TYPE_UPDATE', 'update');
define ('NOTIFY_CHANGE_TYPE_ADD', 'add');

// NAMED VALUES STORED IN SESSION
define ('SESSION_MULTIDOC_SUCCESS_FILES','__filesUploadedSuccessfully');
define ('SESSION_MULTIDOC_ERROR_FILES','__filesFailedToUpload');

// URL ACTION COMMANDS
define ('URLACTION_VIEWBIN','view_bin');
define ('URLACTION_MODUSER','mod_user');
define ('URLACTION_MODCAT','mod_category');
define ('URLACTION_MODDOC','mod_doc');
define ('URLACTION_MODCOMPANY','mod_company');
define ('URLACTION_MODGROUP','mod_group');
define ('URLACTION_MODATTRIB','mod_attrib');
define ('URLACTION_MOD_POOL','mod_pool');
define ('URLACTION_DELUSER','del_user');
define ('URLACTION_DELCAT','del_category');
define ('URLACTION_DELDOC','del_doc');
define ('URLACTION_DELCOMPANY','del_company');
define ('URLACTION_DELGROUP','del_group');
define ('URLACTION_DELPOOLITEM','del_poolitem');
define ('URLACTION_VIEWCAT','view_cat');
define ('URLACTION_DELATTRIB','del_attrib');
define ('URLACTION_VIEWCOMPANY','view_company');
define ('URLACTION_VIEWGROUP','view_group');
define ('URLACTION_VIEWATTRIB','view_attrib');
define ('URLACTION_VIEWDOC','view_doc');
define ('URLACTION_VIEWUSER','view_user');
define ('URLACTION_VIEWMOD','view_mod');
define ('URLACTION_LOSTPASS','lostpass');
define ('URLACTION_VIEWUSAGE','view_usagereport');
define ('URLACTION_VIEWPOOL','view_pool');
define ('URLACTION_LOGIN','login');
define ('URLACTION_SEARCH','search');
define ('URLACTION_LOGOUT','logout');
define ('URLACTION_USERMANAGER','uman');
define ('URLACTION_DOCMANAGER','dman');
define ('URLACTION_VIEWTRASH', 'view_trash');
define ('URLACTION_EMPTYTRASH', 'empty_trash');
define ('URLACTION_DESTROY','destroy');
define ('URLACTION_RESTORE','restore');
define ('URLACTION_BROWSELIBRARY', 'view_lib');
define ('URLACTION_SETTINGS','edit_settings');
define ('URLACTION_GETFORM','get_form');
define ('URLACTION_POST','post');
define ('URLACTION_SENDMAIL_TO_GROUP','sendgroupmail');
define ('URLACTION_SENDMAIL_TO_USER','senduseremail');
define ('URLACTION_REGISTER','register');
define ('URLACTION_CONFIRMUSER','confirm');
define ('URLACTION_VIEWLIB','view_lib');
define ('URLACTION_BROWSEBYCAT','browse_bycat');
define ('URLACTION_BROWSEBYORG','browse_byorg');
define ('URLACTION_PURGEHISTORY','purge_history');
define ('URLACTION_MULTIDOC_RESULTS','mdr');
define ('URLACTION_MULTIDOC_ERRORS','mde');
define ('URLACTION_SERVER_INFO','server');
define ('URLACTION_SHAREPOOL','sharepool');
define ('URLACTION_PLUGINS','plugins');
define ('URLACTION_QUICK_SEARCH','qsearch');

// SMARTY TEMPLATE VARIABLES
define ('SMARTY_FORMSHOWING','form_showing');
define ('SMARTY_JAVASCRIPT_ONLOAD', 'javascript_onload');
define ('SMARTY_ERRORS','errors');
define ('SMARTY_MESSAGES','messages');
define ('SMARTY_LOGGEDIN','logged_in');
define ('SMARTY_ISADMIN','is_admin');
define ('SMARTY_USER','user');
define ('SMARTY_LOGINURL','login_action');
define ('SMARTY_UPLOADCOMPONENT','upload_component');
define ('SMARTY_ISFRONTPAGE','is_frontpage');
define ('SMARTY_AJAXINIT','ajax_init');
define ('SMARTY_PAGETRAIL','trail');
define ('SMARTY_COMPANIES','companies');
define ('SMARTY_GROUPS','groups');
define ('SMARTY_USERS','users');
define ('SMARTY_STATISTICS','admin_stats');
define ('SMARTY_TRASHINFO','trash_info');
define ('SMARTY_ITEMBININFO', 'bin_info');
define ('SMARTY_POOLINFO','pool_info');
define ('SMARTY_COMPANY_NAME','company_name');
define ('SMARTY_SITE_TAGLINE', 'site_tagline');
define ('SMARTY_DEBUG','debug_messages');
define ('SMARTY_USERNAME','logged_in_username');
define ('SMARTY_PERM_ALLOW_ADD_DOCUMENT','allow_add_document');
define ('SMARTY_PERM_ALLOW_ADD_USER','allow_add_user');
define ('SMARTY_PERM_ALLOW_ADD_GROUP','allow_add_group');
define ('SMARTY_PERM_ALLOW_ADD_COMPANY','allow_add_company');
define ('SMARTY_PERM_ALLOW_BROWSE_USERS','allow_browse_users');
define ('SMARTY_PERM_ALLOW_BROWSE_GROUPS','allow_browse_groups');
define ('SMARTY_PERM_ALLOW_BROWSE_COMPANIES','allow_browse_companies');
define ('SMARTY_PERM_ALLOW_FILEBOX','allow_filebox');

// URL ARGUMENTS
define ('URL_START','start');
define ('URL_PAGE','page');
define ('URL_PERPAGE','perpage');
define ('URL_SORTBY','sortby');
define ('URL_SORTDIR','sortdirection');
define ('URL_ID','id');
define ('URL_TYPE','t');
define ('URL_FILTERED','filtered');
define ('URL_FILTER_USER','filter_user');
define ('URL_FILTER_OBTYPE', 'filter_object_type');
define ('URL_FILTER_OBID', 'filter_object_id');
define ('URL_PARENTID','parentid');
define ('URL_FROMCAT','fromcat');
define ('URL_USERID','userid');
define ('URL_ITEMID', 'itemid');
define ('URL_REPLYTOID', 'replytoid');
define ('URLARG_PURGEDATE','purgedate');
define ('URL_MULTIUPLOAD','multiupload');

// FORM ARGUMENTS
define ('FORM_USERNAME','username');
define ('FORM_PASSWORD','password');
define ('FORM_ITEMBIN','itembin');
define ('FORM_CANCEL','cancel');
define ('FORM_CATEGORIES','category');
define ('FORM_GROUPS','groups');
define ('FORM_COMPANIES','companies');
define ('FORM_ATTRIBUTES','attributes');
define ('FORM_USERS', 'users');
define ('FORM_TRASHITEM','trashitem');
define ('FORM_SUBMIT','Submit');
define ('FORM_KEYWORD_FILTER','filter_keywords');
define ('FORM_FILTER_USER','filter_user');
define ('FORM_FILTER_OBTYPE', 'filter_object_type');
define ('FORM_FILTER_OBID', 'filter_object_id');
define ('FORM_FILTER_COMPANY','filter_company');
define ('FORM_FILTER_GROUP','filter_group');
define ('FORM_FILTER_CATEGORY','filter_category');
define ('FORM_EMAIL_DESTINATION','email_destination');
define ('FORM_TYPE', 'formtype');

// FORM ACTION COMMAND
define ('FORMACTION_ADDBIN','addToBin');
define ('FORMACTION_EDITBIN','editBin');
define ('FORMACTION_DELETEBIN','delBin');
define ('FORMACTION_DELETECATEGORY','delCat');
define ('FORMACTION_DELETEATTRIBUTE','delAttrib');
define ('FORMACTION_DELETEGROUP','delGroup');
define ('FORMACTION_DELETECOMPANY', 'delCompany');
define ('FORMACTION_DELETEDOC','delDoc');
define ('FORMACTION_DELETEUSER','delUser');
define ('FORMACTION_REMOVEFROMBIN','removeFromBin');
define ('FORMACTION_CLEARBIN','clearBin');
define ('FORMACTION_DOWNLOADBIN','downloadBin');
define ('FORMACTION_DELETESELECTEDPERMANENTLY','removeFromTrash');
define ('FORMACTION_DELETEALLTRASHPERMANENTLY','emptyTrash');
define ('FORMACTION_RESTORESELECTED','restoreTrashSelected');
define ('FORMACTION_RESTOREALLTRASH','restoreTrash');
define ('FORMACTION_LOGIN','Login');
define ('FORMACTION_EMAILBIN','emailBin');
define ('FORMACTION_HIDDEN','hidden_action');

// FORM TYPES
define ('FORMTYPE_DOCUMENT','ftdoc');
define ('FORMTYPE_ATTRIBUTE','ftattribute');
define ('FORMTYPE_CATEGORY','ftcategory');
define ('FORMTYPE_COMPANY','ftcompany');
define ('FORMTYPE_CONVERSATION','ftconversation');
define ('FORMTYPE_GROUP','ftgroup');
define ('FORMTYPE_USER','ftuser');
define ('FORMTYPE_POOL_ITEM','ftpoolitem');
define ('FORMTYPE_SETTINGS','ftsettings');
define ('FORMTYPE_FIND','ftfind');
define ('FORMTYPE_LOGIN','ftlogin');
define ('FORMTYPE_LOGOUT','ftlogout');
define ('FORMTYPE_LOSTPASS','ftlostpass');
define ('FORMTYPE_ADDUSER','ftregisteruser');
define ('FORMTYPE_SEND_USER_MAIL','ftsendusermail');
define ('FORMTYPE_SEND_GROUP_MAIL','ftsendgroupmail');
define ('FORMTYPE_USAGE_REPORT','ftusagereport');
define ('FORMTYPE_USER_BATCH','ftuserbatch');
define ('FORMTYPE_PURGEHISTORY','ftpurgehistory');
define ('FORMTYPE_MULTI','ftmulti');
define ('FORMTYPE_MULTIDOC','ftmultidoc');
define ('FORMTYPE_PLUGINS','ftplugins');

// DOCUMENT TYPES
define ('DOCTYPE_UNKNOWN', 'Unknown');
define ('DOCTYPE_HTML', 'HTML');
define ('DOCTYPE_TEXT', 'Text');
define ('DOCTYPE_WORD', 'Microsoft Word Document');
define ('DOCTYPE_PDF', 'Adobe PDF');
define ('DOCTYPE_EXCEL', 'Microsoft Excel Spreadsheet');
define ('DOCTYPE_BINARY', 'Binary File');
define ('DOCTYPE_IMAGE', 'Image File');
define ('DOCTYPE_SHARE','Share (Zip) File');
define ('DOCTYPE_ARCHIVE','Archive(Compressed) File');
define ('DOCTYPE_RTF','Rich Text Format (RTF) File');
define ('DOCTYPE_MISSING','[Missing File]');

// ATTRIBUTE TYPES
define ('ATTRIB_TYPE_BOOL', 'Yes/No');
define ('ATTRIB_TYPE_STRING', 'Text');
define ('ATTRIB_TYPE_NUMBER', 'Number');

// COLLECTION FILTERS
//	These are used as associative array items when loading
//	a collection of data from a collection object.  Depending
//	on which collection object is used, the object's load method
//	may filter on the data provided inside the parameter.

// Category filter:
//	param category = [category id] or [array of category ids]
define ('FILTER_CATEGORY','Category');

// Doctype filter
//	param type = [document type] or [array of document types]
define ('FILTER_DOCTYPE','Document Type');

// Attribute list filter
// param type = [array of attribute names or IDs]
define ('FILTER_ATTRIBUTES','Attributes');

// User filter
//	param user = username or 'false' for all users
define ('FILTER_USER','User');

// Creation Date Filter
//	param start date = [early date string]
//	param end date = [late date string, can be false to indicate now]
define ('FILTER_CREATE_DATE','Creation Date');

// Date filter
//	param start date = [early date string]
//	param end date = [late date string, can be false to indicate now]
define ('FILTER_MODIFY_DATE','Date');

// Date filter
//	param status = [status code]
define ('FILTER_STATUS','Status');

// Filter object id/type
//	param id = object id
//	param type = object type
define ('FILTER_OBJECT','Object');

// Filter object id/type
//	param bin = bool
define ('FILTER_INBIN','ItemBin');

// Action filter
//	param status = action string
define ('FILTER_ACTION','Action');

// Group filter:
//	param category = [group id] or [array of group ids]
define ('FILTER_GROUP','Group');

// Company filter
//	param type = [company id] or [array of company ids]
define ('FILTER_COMPANY','Company');

// Shared filter: indicates that only others' shared filebox
//  documents should be collected.
//    param type = Boolean
define ('FILTER_SHARED','Shared');

// General filter. Just including this parameter indicates
//	that the collection should include any 'virtual' items
//	that represent a set of actual items (such as 'All')
//	param none
define ('FILTER_INCLUDE_AGGREGATE','include_aggregates');

// Modified On Date
//	param string start = string in any date format
//	param string end  =  string in any date format
define ('FILTER_MODIFIY_DATE', 'ModifiedOn');

// Paging filters
define ('FILTER_START','start');			// integer
define ('FILTER_PAGE','page');				// integer
define ('FILTER_PERPAGE','perpage');		// integer
define ('FILTER_SORTBY','sortby');			// string (column name)
define ('FILTER_SORTDIR','sortdirection'); 	// (desc/asc)

// SPECIAL COMPANY/GROUP IDS
define ('COMPANY_UNREGISTERED', -1);
define ('COMPANY_ALL', 0);
define ('GROUP_ALL', 0);

// SHARE-SPECIFIC ITEM PERMISSIONS
define ('USER_PERMISSION_SELF_ADMIN', 1);
define ('USER_PERMISSION_GROUP_ADMIN', 2);
define ('USER_PERMISSION_COMPANY_ADMIN', 3);

// SHARE-SPECIFIC OBJECT TYPES
define ('OBJECT_TYPE_UNKNOWN', 0);
define ('OBJECT_TYPE_SHARE_USER', 100);
define ('OBJECT_TYPE_COMPANY', 200);
define ('OBJECT_TYPE_GROUP', 300);
define ('OBJECT_TYPE_ITEM', 400);
define ('OBJECT_TYPE_BRIEFCASE', 450);
define ('OBJECT_TYPE_CATEGORY',500);
define ('OBJECT_TYPE_ATTRIBUTE',600);
define ('OBJECT_TYPE_POOLITEM',700);
define ('OBJECT_TYPE_SPECIAL_TRASH',50);

// SHARE_SPECIFIC ITEM TYPES
define ('ITEMTYPE_DOCUMENT','SHARE_DOCUMENT');

// SHARE-SPECIFIC PROPERTIES
define ('PROP_COMPANY','company');
define ('PROP_GROUP','group');
define ('PROP_ACCESS_CODE','temporary_access_code');
define ('PROP_ACCESS_CUTOFF','temporary_access_cutoff');
define ('PROP_GROUP_ID','group_id');
define ('PROP_COMPANY_ID','company_id');
define ('PROP_TYPE_ID', 'type_id');
define ('PROP_SUBTYPE_ID','subtype_id');
define ('PROP_TYPE_VERSION', 'type_version');
define ('PROP_ORIGINAL_FILENAME', 'original_filename');
define ('PROP_DATA','data');
define ('PROP_CREATION_DATE', 'creation_date');
define ('PROP_MODIFIED_DATE', 'modified_date');
define ('PROP_PARENT', 'parent_id');
define ('PROP_CATEGORY_ID', 'category_id');
define ('PROP_DOC_TYPE','doctype');
define ('PROP_ATTRIBUTE_TYPE', 'attribute_type');
define ('PROP_ATTRIBUTE_VALUE', 'attribute_value');
define ('PROP_START_DATE','start_date');
define ('PROP_END_DATE','end_date');
define ('PROP_GROUP_BY','group_by');
define ('PROP_ATTRIBUTE_STATUS','status');
define ('PROP_ITEMPOOL_SIZE','item_pool_max_size_mb');
define ('PROP_FILEBOX_DIR','filebox_dir');
define ('PROP_LIBRARY_DIR','upload_dir');

// REPORT GROUPINGS
define ('REPORT_GROUP_REGION','region');
define ('REPORT_GROUP_COMPANY', 'company');
define ('REPORT_GROUP_USER','user');

// REPORT DATE RANGES
define ('REPORT_RANGE_CUSTOM',0);
define ('REPORT_RANGE_THIS_MONTH',1);
define ('REPORT_RANGE_LAST_MONTH',2);


// TEMPORARY ACCESS CODES
define ('ACCESS_CODE_NONE',0);
define ('ACCESS_CODE_UPLOAD_COMMON',1);

// ITEM STATUSES
define ('ITEM_STATUS_ACTIVE', 1);
define ('ITEM_STATUS_DELETED', 2);

// COMPANY STATUSES
define ('COMPANY_STATUS_ACTIVE', 1);
define ('COMPANY_STATUS_DELETED', 2);

// CATEGORY STATUSES
define ('CATEGORY_STATUS_ACTIVE', 1);
define ('CATEGORY_STATUS_DELETED', 2);

// ATTRIBUTE STATUSES
define ('ATTRIBUTE_STATUS_ACTIVE', 1);
define ('ATTRIBUTE_STATUS_DELETED', 2);

// GROUP STATUSES
define ('GROUP_STATUS_ACTIVE', 1);
define ('GROUP_STATUS_DELETED', 2);

define ('FILTER','filter');
define ('FILTER_KEYWORDS','keywords');

// UPLOAD CONSTANTS 
define ('PURGATORY_FILES','purgatory_files');
define ('RECENT_FILES','recent_files');

define ('DEST_UPLOAD_LIBRARY',1);
define ('DEST_UPLOAD_FILEBOX',2);
define ('DEST_UPLOAD_PURGATORY',3);

define ('UPLOAD_RES_NOTATTEMPTED',0);
define ('UPLOAD_RES_SUCCESS',1);
define ('UPLOAD_RES_FAIL',2);

// CUSTOM TABLES
define ('TABLE_ITEMS', 'sh_items');
define ('TABLE_GROUPS', 'sh_groups');
define ('TABLE_COMPANIES', 'sh_companies');

// CUSTOM TABLE DEFINITIONS

$TABLE_MOD =
    array (
        'name' => 'iw_modifications',
        'fields' =>
            array (
                'ID' => 'mod_id',
                'TARGET_TYPE' => 'subject_type',
                'TARGET_ID' => 'subject_id',
                'USER_ID' => 'username',
                'MOD_DATE' => 'date',
                'MOD_IP' => 'ip',
                'ACTION' => 'action',
                'MOD_DATA' => 'data',
                'CLIENT_INFO' => 'client_info'
            )
    );

$TABLE_USER =
    array (
        'name' => 'iw_users',
        'fields' =>
            array (
                'USERNAME' => 'username',
                'FIRST_NAME' => 'first_name',
                'LAST_NAME' => 'last_name',
                'PASSWORD' => 'password',
                'DATE_JOINED' => 'date_joined',
                'DATE_LAST_LOGIN' => 'date_lastlogin',
                'LAST_SESSION_ID' => 'last_session_id',
                'LAST_ACTIVITY_DATE' => 'date_lastactivity',
                'LOGIN_IP' => 'login_ip',
                'LOGIN_CLIENT_INFO' => 'login_client_info',
                'USER_TYPE' => 'user_type',
                'STATUS' => 'status',
                'EMAIL' => 'email',
                'HASH' => 'hash',
                'CITY' => 'city',
                'STATE' => 'state'
            )
    );
    
$GLOBALS['TABLE_ITEM'] =
array (
'name' => 'sh_items',
'fields' =>
array (
'ITEM_ID' => 'item_id',
'ITEM_CATEGORY' => 'category_id',
'ITEM_NAME' => 'item_title',
'ITEM_DESCRIPTION' => 'item_description',
'ITEM_TYPE_ID' => 'item_type_id',
'ITEM_SUBTYPE_ID' => 'item_subtype_id',
'ITEM_TYPE_VERSION' => 'item_type_version',
'ITEM_ORIGINAL_FILENAME' => 'item_original_filename',
'ITEM_DATA' => 'item_data',
'ITEM_CREATION_DATE' => 'item_created',
'ITEM_MODIFIED_DATE' => 'item_modified',
'ITEM_STATUS' => 'item_status'
			)
);

$GLOBALS['TABLE_ITEM_POOL'] =
array (
'name' => 'sh_item_pool',
'fields' =>
array (
'ITEM_ID' => 'item_id',
'ITEM_NAME' => 'item_title',
'ITEM_USERNAME' => 'username',
'ITEM_DESCRIPTION' => 'item_description',
'ITEM_TYPE_ID' => 'item_type_id',
'ITEM_SUBTYPE_ID' => 'item_subtype_id',
'ITEM_TYPE_VERSION' => 'item_type_version',
'ITEM_ORIGINAL_FILENAME' => 'item_original_filename',
'ITEM_CREATION_DATE' => 'item_created',
'ITEM_STATUS' => 'item_status',
'ITEM_DATA' => 'item_data'
			)
);

$GLOBALS['TABLE_CATEGORIES'] =
array (
'name' => 'sh_categories',
'fields' =>
array (
'CATEGORY_ID' => 'category_id',
'CATEGORY_PARENT' => 'parent_id',
'CATEGORY_NAME' => 'name',
'CATEGORY_DESCRIPTION' => 'description',
'CATEGORY_STATUS' => 'status'
			)
);

$GLOBALS['TABLE_GROUPS'] =
array (
'name' => 'sh_groups',
'fields' =>
array (
'GROUP_ID' => 'group_id',
'GROUP_NAME' => 'name',
'GROUP_DESCRIPTION' => 'description',
'GROUP_STATUS' => 'status',
'GROUP_COMPANY_ID' => 'company_id'
			)
);

$GLOBALS['TABLE_COMPANIES'] =
array (
'name' => 'sh_companies',
'fields' =>
array (
'COMPANY_ID' => 'company_id',
'COMPANY_NAME' => 'name',
'COMPANY_DESCRIPTION' => 'description',
'COMPANY_STATUS' => 'status',
'COMPANY_LOGO' => 'logo',
'COMPANY_INTRO_PAGE' => 'intro_page_html'
			)
);

$GLOBALS['TABLE_ITEM_ITEM_MAP'] =
array (
'name' => 'sh_item_item_map',
'fields' =>
array (
'SOURCE_ITEM_ID' => 'source_item_id',
'RELATED_ITEM_ID' => 'related_item_id'
			)
);

$GLOBALS['TABLE_ATTRIBUTE_ITEM_MAP'] =
array (
'name' => 'sh_attribute_item_map',
'fields' =>
array (
'ITEM_ID' => 'item_id',
'ATTRIBUTE_ID' => 'attribute_id',
'ATTRIBUTE_VALUE' => 'attribute_value'
			)
);

$GLOBALS['TABLE_ATTRIBUTES'] =
array (
'name' => 'sh_attributes',
'fields' =>
array (
'ATTRIBUTE_ID' => 'attribute_id',
'ATTRIBUTE_NAME' => 'attribute_name',
'ATTRIBUTE_DESCRIPTION' => 'attribute_description',
'ATTRIBUTE_TYPE' => 'attribute_type',
'ATTRIBUTE_STATUS' => 'status'
			)
);

$GLOBALS['TABLE_POOL_ACCESS'] =
array (
'name' => 'sh_pool_user_access',
'fields' =>
array (
'POOL_ITEM_ID' => 'pool_item_id',
'USERNAME' => 'username',
'ACCESS' => 'access'
)
);

// Addition to user table
$GLOBALS['TABLE_USER']['fields']['USER_ITEMPOOL_MAX_SIZE_MB'] = 'itempool_size_mb';

?>
