<?php
/*
 * Nexus is a web-based file management application.
 * Copyright (C) 2007 Karim Shehadeh
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

class shFileTypeHtml extends shFileType
{
	public function getThumbnailPath(shItemDocument $doc, $maxWidth, $maxHeight)
	{
		if ($maxWidth >= 32)
		{
			$icon = app()->getTemplateFile('images/icons/html_icon_large.gif');
		}
		else
		{
			$icon = app()->getTemplateFile('images/icons/html_icon_small.gif');
		}
		return $icon;
	}
		
	public function getPreview(shItemDocument $doc, $localPath)
	{
		// Nothing special needs to be done to display this to the user in the
		//	browser so return an empty string.
		if (file_exists($localPath))
		{
			return nl2br(htmlentities(file_get_contents($localPath)));	
		}
		else
		{
			return '';
		}
		
	}
	
	public function getMimeType($documentPath)
	{
		return array('text/html');
	}
	
	public function getNexusFileType()
	{
		return DOCTYPE_HTML;
	}
	
	
	public function getDescription($documentPath='')
	{
        return 'HTML Document';
	}
	
	public function getRelatedUrl()
	{		
		return '';
	}
	
	public function getFilenameExtensions()
	{
		return array ('html','htm','shtml','shtm');
	}
	
}

?>