<?php
/*
 * Nexus is a web-based file management application.
 * Copyright (C) 2007 Karim Shehadeh
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

class shFormFind extends iwForm
{
    public $_resultHtml = '';
    
    public function getFormAction()
    {
        return URLACTION_SEARCH;    
    }
    
    function getFormType()
    {
        return FORMTYPE_FIND;    
    }
        
    /**
     * This will return an associative array of data that should 
     * be applied to whatever template system is being used.
     * @return array An associative array of data
     */
    function display ()
    {
        $smarty = app()->getSmartyObject();
        $content = smarty_templ_fetch('forms/form.find.simple.tpl.html',$smarty);        
        $this->_page->addContent ($content);    
        
        return array();    
    }
        
    /**
     * The _resultHtml field should contain the html
     * for the report. 
     */
    public function getResultsHtml()
    {
        return $this->_resultHtml;        
    }
            
    /**
     * Override to implement form submit for this object
     * @return bool Returns true if the form submission was successful 
     */
    function _submit ()
    {        
        $words = ps('filter_keywords');
        $words = split (' ',$words);        
        $search = new shSearch;
        $docCollection = $search->doDocumentKeywordSearch($words);                     
        
        $this->_resultHtml .= '<h1>'.str('STR_SEARCH_RESULTS').'</h1>';
        $this->_resultHtml .= '<h2>'.str('STR_SEARCH_DOCUMENTS').'</h2>';                  
        if ($docCollection->getTotal() > 0)
        {
            foreach ($docCollection->items() as $item)
            {
                $this->_resultHtml .= $item->renderAsListItem(false,true,false);
            }
        }
        else
        {
            $this->_resultHtml .= '<h3>'.str('STR_SEARCH_NO_DOCUMENTS').'</h3>';
        }

        $catCollection = $search->doCategoryKeywordSearch($words);                
        $this->_resultHtml .= '<h2>'.str('STR_SEARCH_CATEGORIES').'</h2>';
        if ($catCollection->count() > 0)
        {
            foreach ($catCollection->items() as $item)
            {
                $this->_resultHtml .= $item->renderAsListItem(false,true,false);
            }
        }
        else
        {
            $this->_resultHtml .= '<h3>'.str('STR_SEARCH_NO_CATEGORIES').'</h3>';
        }
                 
        app()->pushBreadcrumb('Search');
        
        return true;        
    }    
    
    function getRedirectLocation()
    {
        return '';
    }
    
    function authorize ()
    {
        return app()->isUserLoggedIn();
    }    
}
?>
