<?php
/*
 * Nexus is a web-based file management application.
 * Copyright (C) 2007 Karim Shehadeh
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */


class shFormLostPassword extends iwForm
{
	public function getFormAction()
	{
		return URLACTION_LOSTPASS;	
	}
	
	
	public function getFormType()
	{
		return FORMTYPE_LOSTPASS;	
	}
		
	public function getTitle()
	{
		return str('STR_USER_LOSTPASS_FORM_TITLE');	
	}
	
	public function loadData()
	{
		if ($this->recallFormData())
		{
			return true;			
		}
		
		$this->setData(array('username'=>'','email'=>''));
		return true;
	}
	
	public function getFields()
	{
		
		// First check if there's a cached object
		$array = $this->getData();		

		$fields = array();
		$fields[] = new shFormField(FIELD_TYPE_TEXT,$array['username'],'username',str('STR_LOSTPASS_USERNAME'));
		$fields[] = new shFormField(FIELD_TYPE_TEXT,$array['email'],'email',str('STR_LOSTPASS_EMAIL'));
		
		return $fields;
	}

	/**
	 * Override to implement form submit for this object
	 * @return bool Returns true if the form submission was successful 
	 */
	protected function _submit()
	{
				
		$email = ps('email');
		$username = ps('username');
		
		if ($email && $username)
		{
			$user = new shUser;
			if ($user->setUser ($username) && 
				$user->get(PROP_EMAIL) == $email)
			{
				$newPassword = $user->resetPassword();
				if ($newPassword)
				{
					$subject = APPLICATION_NAME.' - '.str('STR_USER_LOSTPASS_FORM_TITLE');
					$body = str('STR_LOSTPASS_EMAILBODY');
					$body .= "\r\n\r\n$newPassword";
					if (!app()->sendMail (AUTOMATED_EMAIL_FROM,$email, $subject, $body))
					{
						$this->addError (sprintf(str('STR_LOSTPASS_MAILFAILED'),settings()->admin_email), ERROR_TYPE_SERIOUS);
						return false;
					}
					else 
					{
						$this->addNotification (sprintf(str('STR_LOSTPASS_SENT'),$user->get(PROP_EMAIL)));
						app()->redirect ('index.php');
						
						return true;
					}
				}
				else 
				{
					$this->addError (sprintf(str('STR_LOSTPASS_GENFAILED'),settings()->admin_email), ERROR_TYPE_SERIOUS);					
					return false;	
				}
			}			
			else 
			{
				$this->addError (str('STR_LOSTPASS_INVALIDCRED'), ERROR_TYPE_SERIOUS);
				return false;	
			}
		}
		else 
		{
			$this->addError (str('STR_LOSTPASS_NOINFO'), ERROR_TYPE_SERIOUS);
			return false;	
		}

		return false;	
	}

	
	function authorize ()
	{
		return true;
	}
	
	function redisplayOnError ()
	{
		return true;	
	}

}
?>
