<?php
/*
 * Nexus is a web-based file management application.
 * Copyright (C) 2007 Karim Shehadeh
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

class shDownloadItem extends shPage
{	
	function getTemplate ()
	{
		//return 'download';
        return '';
	}
	
	function isItemTypeCompanyLogo()
	{
		$type = $this->getUrlArgument('type');
		if (!$type)
		{
			$type = $this->getUrlArgument('t');
		}
		
		return $type == OBJECT_TYPE_COMPANY;		
	}
	
	function authorize ()
	{
		$user = app()->getLoggedInUserObject();
		$username = '';
		
		if (get_class ($user) == 'shUser')
		{
			$username = $user->get(PROP_USERNAME);
		}
		
		if ($this->isItemTypeCompanyLogo())
		{
			return true;
		}
		else if ($this->isItemInPool())
		{
			if (shAuthorize::canDownloadPoolItem ($username, $this->getUrlArgument('id')))
			{
				return true;
			}
		}
		else
		{
			if ($this->getUrlArgument('id') == 0)
			{
				shItemBin::downloadZip ();														
			}
			else
			{
				if (app()->isAdminLoggedIn() ||
					shAuthorize::canViewDocument ($username, $this->getUrlArgument('id')))
				{
					return true;
				}
			}
		}								
		
		return false;
	}		

	
	function isItemInPool ()
	{
		$type = $this->getUrlArgument('type');
		if (!$type)
		{
			$type = $this->getUrlArgument('t');
		}
		
		return $type == OBJECT_TYPE_POOLITEM;
	}
	
	function display ()
	{        
		if ($this->authorize())
		{                        
			if ($this->isItemTypeCompanyLogo())
			{
				$company = new shCompany();
				$company->set(PROP_ID,$this->getUrlArgument('id'));
				if ($company->load(false))
				{
					$company->downloadLogo();
					return '';
				}
			}
			else if ($this->isItemInPool())
			{                
				$item = new shPoolItem;
				$item->set (PROP_ID,$this->getUrlArgument('id'));
				if ($item->load())
				{
					$item->downloadItem(true);
					$this->addContent ('');
					return;
				}
			}
			else
			{                
				$item = new shItemDocument;
				$item->set (PROP_ID,$this->getUrlArgument('id'));
				if ($item->load())
				{
                    $skipLog = isset($_GET['sl']);
					$item->downloadItem(!$skipLog);
					$this->addContent ('');
					return;
				}
			}						
		}	
		else
		{
			die ('Not authorized');
		}			
	}	
}

?>