<?php
/*
 * Nexus is a web-based file management application.
 * Copyright (C) 2007 Karim Shehadeh
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */
	
class shDocumentFeed extends iwRssGenerator
{
	/**
	 * Generates an RSS feed containing all the documents
	 * in the given categories and with the given attributes
	 *
	 * @param array $categories The categories to include in the feed
	 * @param array $attributes The attributes to include in the feed
	 */
	public function generateFeed ($categories,$attributes=array())
	{
		$coll = new shItemDocumentCollection ();
		
		$collectionParams = new iwParameterCollection();
		$p = $collectionParams->add(new iwParameterArray(FILTER_CATEGORY));
		$p->setArray ($categories);

		$p = $collectionParams->add(new iwParameterArray(FILTER_ATTRIBUTES));
		$p->setArray ($attributes);

		$p = $collectionParams->add(new iwParameterArray(FILTER_STATUS));
		$p->setItem_nokey (ITEM_STATUS_ACTIVE);
				
		$coll->load ($params);
		foreach ($coll->items() as $document)
		{
			// Create a new rss item
			$rssItem = new iwRssItem();
			$rssItem->date = $document->get(PROP_MODIFIED_DATE);
			$rssItem->link = IW_BASE_URL.'/download.php?id='.$document->get(PROP_ID);
			$rssItem->title = $document->get(PROP_NAME);
			$rssItem->description = $document->get(PROP_DESCRIPTION);
			
			$this->addNewsItem ($rssItem);
		}
		
		$this->feedCreator = APPLICATION_NAME;
		$this->feedDescription = '';
		$this->feedSubject = 'Documents';
		$this->feedTitle = 'Documents';
		$this->feedUrl = IW_BASE_URL;
		
		echo $this->generateXml();
	}
}
?>