<?php

class shSmarty extends iwSmarty
{
	public function assignPermissions()
	{
		$this->assign (SMARTY_USERNAME, app()->getLoggedInUsername());
		$this->assign (SMARTY_LOGGEDIN, app()->isUserLoggedIn());
		$this->assign (SMARTY_ISADMIN, app()->isAdminLoggedIn());
		
		$user = app()->getLoggedInUserObject();
		
		if ($user)
		{
			$permissions = $user->getPermissions();
		}
		else
		{
			$permissions = null;
		}
			
		$allowAddDocument = ($permissions &&
							 ($permissions->allowGlobalAddDocument || 
							 $permissions->allowDomainAddDocument || 
							 $permissions->allowDomainGroupAddDocument));

		$allowAddUser = ($permissions &&
							($permissions->allowGlobalAddUser || 
							 $permissions->allowDomainAddUser || 
							 $permissions->allowDomainGroupAddUser));

		$allowAddGroup = ($permissions &&
							 ($permissions->allowGlobalAddGroup || 
							 $permissions->allowDomainAddGroup));
							 
		$allowAddCompany = ($permissions &&
							 ($permissions->allowGlobalAddCompany));
							 
		$allowBrowseUsers = ($permissions &&
							 ($permissions->allowDomainEditUser || 
							 $permissions->allowDomainGroupEditUser || 
							 $permissions->allowGlobalEditUser));
							 
		$allowBrowseGroups = ($permissions &&
							 ($permissions->allowGlobalDeleteGroup|| 
							 $permissions->allowDomainEditGroup));

		$allowBrowseCompany = ($permissions &&
							 ($permissions->allowGlobalEditCompany));
							 
		$allowFilebox = ($permissions &&
							 ($permissions->allowGlobalAddDocument || 
							 $permissions->allowDomainAddDocument || 
							 $permissions->allowDomainGroupAddDocument));
							 
		$this->assign(SMARTY_PERM_ALLOW_ADD_DOCUMENT,$allowAddDocument);
		$this->assign(SMARTY_PERM_ALLOW_ADD_USER,$allowAddUser);
		$this->assign(SMARTY_PERM_ALLOW_ADD_GROUP,$allowAddGroup);
		$this->assign(SMARTY_PERM_ALLOW_ADD_COMPANY,$allowAddCompany);
		
		$this->assign(SMARTY_PERM_ALLOW_BROWSE_USERS,$allowBrowseUsers);
		$this->assign(SMARTY_PERM_ALLOW_BROWSE_GROUPS,$allowBrowseGroups);
		$this->assign(SMARTY_PERM_ALLOW_BROWSE_COMPANIES,$allowBrowseCompany);
		
		$this->assign(SMARTY_PERM_ALLOW_FILEBOX,$allowFilebox);						
	}
}

?>