<?php

class shUploaderJUpload extends shUploader
{

	public function getMarkup()
	{
        $successMsg = "All files were uploaded successfully";
        $errorMsg = "Not all files could be uploaded: %msg%";
		return '
	        <applet
		            code="wjhk.jupload2.JUploadApplet"
		            name="JUpload"
		            archive="include/components/jupload/wjhk.jupload.jar"
		            width="640"
		            height="300"
					debugLevel="99"
                    lookAndFeel="system"       
             		formdata="multiupload_parameters"
                    afterUploadURL="index.php?'.URLARG_ACTION.'='.URLACTION_MULTIDOC_RESULTS.'"
		            mayscript
		            alt="The java plugin must be installed.">
	            <param name="postURL" value="'.$this->createBaseTargetUrl().'" />
	        </applet>		
		';
	}
	
	public function handleFiles()
	{		  
        uploads()->clearUserRecentFiles();
        
        if (count($_FILES) > 0)
        {
		    foreach ($_FILES as $file)
		    {
                $info = new shUploadDocumentProperties;
                $info->originalFilename = $file['name'];
                $info->mimeType = $file['type'];
                $info->parentCategoryId = $this->getCategory();
                $info->domainsWithAccess = array();
                $info->uploadLocation = $this->getUploadLocation();
                $info->description = '';
                $info->name = $file['name'];
                if (file_exists($file['tmp_name']))
                {
		 	        $info->localFilePath = $file['tmp_name'];
                    $info->uploadResult = true;
                }
                else
                {
                    $info->uploadResult = false;
                    $info->uploadResultMessage = 'File is too large';
                }
                
			    if ($info->uploadResult)
                {                        
			        uploads()->addFile($info);                                  
                }
		    }
            
            uploads()->doUpload();
                    
            $files = uploads()->getOutputFiles();
            $err = array();
            foreach($files as $file)
            {
                if ($file->uploadResult == false)
                {
                    $err[] = $file->originalFilename;                
                }
            }
            
            if (count($err) > 0)
            {
                echo 'ERROR: The following files could not be uploaded: '.implode(',',$err);
            }
            else
            {
                echo 'SUCCESS';
            }               
            
        }
        else
        {
            echo 'ERROR: No files were uploaded probably because they are too large';
        }        
	}
}

?>