<?php
/**
* name: PDF Preview
* description: Allows users to view a PDF file directly in the document details page (no need to download)
* date: 5/7/2008
* version: 1.0
* author: iWonder Designs
*/

nx_register_handler('EVENT_FILE_LANGUAGE_NEEDED','langpicker_getlanguage');
nx_register_handler('EVENT_NAV_NEEDED','langpicker_display_language_picker');
nx_register_handler('EVENT_EXECUTE_ACTION_PRE','langpicker_handle_set');

function langpicker_getlanguage($params)
{    
    $lang = &$params['lang'];
    $lang = langpicker_get_current_language();
}
  
function langpicker_get_current_language()
{
    $currentLanguage = app()->retrieveValue('langpicker_currentLanguage');
    if ($currentLanguage == '')
    {
        return DEFAULT_LANGUAGE;
    }
    else
    {
        return $currentLanguage;
    }    
}

function langpicker_display_language_picker($params)
{
	$blocks = &$params['blocks'];
    
    $currentLanguage = langpicker_get_current_language();
    include($currentLanguage.'/lang.inc.php');
    
    $currentUrl = app()->_getURLWithParameters(); 
    
	$selectorHtml = 
		'<select onchange="document.location=\'index.php?a=langpicker&lang=\'+this.value+\'&url='.base64_encode($currentUrl).'\'" style="margin-top:5px;" id="language_picker" name="language_picker">';
	
	$languages = langpicker_get_available_languages();
	foreach($languages as $lang)
	{
		$friendlyName = langpicker_code_to_name($lang);
		if ($friendlyName != '')
		{
			$selectorHtml .= '<option '.($currentLanguage==$lang?'selected':'').' value="'.$lang.'">'.$friendlyName.'</option>';
		}
	}
	
	$selectorHtml .= '</select>';

    $navblock = new NavBlock;
    $navblock->title = $lang_picker_strings['STR_PICK_LANGUAGE'];
    $navblock->html = $selectorHtml;    
    $blocks[] = $navblock;	
}

function langpicker_get_available_languages()
{
	$themeDir = app()->getTemplateFile('text/lang/');
	
	$languages = array();
    $dh = opendir($themeDir);

    while (($file = readdir($dh)) !== false) 
    {            
        if (is_dir($themeDir) && $file != '.' && $file != '..')
        {
			$languages[] = $file;
		}
	}
	
	return $languages;
}

function langpicker_code_to_name($code)
{
	switch($code)
	{
		case 'en':
			return 'English';
		case 'es':
			return 'Español';
		case 'por':
			return 'Português';
        case 'it':
            return 'Italiano';
        case 'de':
            return 'Deutsch';
        case 'cs':
            return 'Česky';
        case 'nl':
            return 'Nederlands';
            
		default:
			return '';
	}
}

function langpicker_handle_set($params)
{
    $action = &$params['action'];
    $page = &$params['page'];
    $continue = &$params['continue'];
       
    if (($action == 'langpicker'))
    {        
        $lang = g('lang');
        $url = base64_decode(g('url'));
        if ($lang)
        {
            app()->rememberValue('langpicker_currentLanguage',$lang);
            app()->redirect($url);
            $continue=false;
        }               
    }
}
?>