<?php
/**
* name: The name of the plugin to add 
* description: The description of the plugin
* date: The date of the last update
* version: The version of the plugin
* author: The author of the plugin
*/

nx_register_handler('EVENT_FRONTPANEL_LINKS_NEEDED','onActionsNeeded');

nx_register_handler('EVENT_OBJECT_ADDED','onObjectAdded');
nx_register_handler('EVENT_OBJECT_EDITED','onObjectEdited');
nx_register_handler('EVENT_OBJECT_ADDING','onObjectAdding');
nx_register_handler('EVENT_OBJECT_EDITING','onObjectEditing');

nx_register_handler('EVENT_EXECUTE_ACTION_POST_CONTENT','onPostActionContent');
nx_register_handler('EVENT_EXECUTE_ACTION_PRE','onPreActionProcessing');
nx_register_handler('EVENT_EXECUTE_ACTION_PRE_CONTENT','onPreActionContent');

function onPostActionContent($params)
{
    $page = app()->getActivePage();    
    $page->addContent('<div style="padding:4px;background-color:#efefef;margin:6px">Sample Plugin Wuz Here</div>');    
}

function onPreActionContent($params)
{
}

function onPreActionProcessing($params)
{
    return true;
}

function onActionsNeeded($params)
{
    $currentActionArray = &$params['actions'];
    
    $index = -1;
    foreach ($currentActionArray as $action)
    {        
        $index++;
        if ($action->title == str('STR_OTHER_ACTIONS'))
        {
            break;
        }
    }   
    
    if ($index > -1)
    {
        $currentActionArray[$index]->children[] = 
                    new ActionItem(
                        'Sample Plugin',                        
                        '?index.php',                        
                        'plugins/sample/sample_plugin.jpg');        
    }         
}

function onObjectAdded($params)
{
    app()->addGlobalNotification('Sample plugin: '.$params['object']->getTypeName(false).' added');
}

function onObjectEdited($params)
{
    app()->addGlobalNotification('Sample plugin: '.$params['object']->getTypeName(false).' edited');
}

function onObjectAdding($params)
{
    app()->addGlobalNotification('Sample plugin: '.$params['object']->getTypeName(false).' being added');
}

function onObjectEditing($params)
{
    app()->addGlobalNotification('Sample plugin: '.$params['object']->getTypeName(false).' being edited');    
}

?>
