<?php
/**
* name: User Upload
* description: Allow registered users to upload to the library themselves
* date: 11/11/2008
* version: 1.0
* author: iWonder Designs
*/

nx_register_handler('EVENT_AUTHORIZATION_NEEDED','userupload_authorize');
nx_register_handler('EVENT_FRONTPANEL_LINKS_NEEDED','userupload_frontpanel_links');
nx_register_handler('EVENT_NAV_NEEDED','userupload_nav_links');

function userupload_nav_links($params)
{
	$vertical = $params['vertical'];
	$blocks = &$params['blocks'];	
	
	$user = app()->getLoggedInuserObject();
	
	if (!$user)
	{
		// When not logged in, we don't add this.
		return;
	}

	$permGroup = $user->getPermissions()->getPermissionGroup();	
	if ($permGroup == USER_TYPE_REGISTERED)
	{
		foreach ($blocks as $block)
		{
			if ($block->title == str('STR_NAV_LIBRARY'))
			{
				$navItem = new NavItem();
				$navItem->title = 'Add Document';
				$navItem->link = 'index.php?a='.URLACTION_MODDOC;
				$navItem->icon = smarty_templ_file_path('images/doc_icon_add_large.jpg');
				$block->items[] = $navItem;
			}
		}
	}
	
}

function userupload_frontpanel_links($params)
{
    $currentActionArray = &$params['actions'];

	$user = app()->getLoggedInuserObject();
	
	if (!$user)
	{
		// When not logged in, we don't add this.
		return;
	}
	
	$permGroup = $user->getPermissions()->getPermissionGroup();	
	if ($permGroup == USER_TYPE_REGISTERED)
	{
	    $parent = new ActionItem('Actions','','');
		$parent->parent = true;
	
		$parent->children[] = new ActionItem('Add a Document',
										'index.php?a='.URLACTION_MODDOC,
										smarty_templ_file_path('images/doc_icon_add_large.jpg'));
									
		$currentActionArray[] = $parent;
	}
}

function userupload_authorize($params)
{
	// Allow registered users to upload to the library
	$action = $params['action'];
	$id = $params['id'];
	$auth = &$params['auth'];


	if (($action == URLACTION_MODDOC) && 
		!$id)
	{
		if (app()->getLoggedInUserObject() != null)
		{
			$auth = AUTH_ALLOW;
		}
	}
}

?>
